# Documentation

Menu

## QRDataModeAbstract
in package
implements QRDataModeInterface

QRDataModeAbstract.php : 15

### Interfaces, Classes, Traits and Enums

QRDataModeInterface
  Specifies the methods reqired for the data modules (Number, Alphanum, Byte and Kanji)

### Table of Contents

$data : string
  The data to write
$datamode : int
  the current data mode: Num, Alphanum, Kanji, Byte
__construct() : mixed
  QRDataModeAbstract constructor.
getDataMode() : int
  returns the current data mode constant
getCharCount() : int
  returns the character count of the $data string

### Properties

#### $data

QRDataModeAbstract.php : 25

The data to write

`protected string $data`

#### $datamode

QRDataModeAbstract.php : 20

the current data mode: Num, Alphanum, Kanji, Byte

`protected static int $datamode`

### Methods

#### __construct()

QRDataModeAbstract.php : 32

QRDataModeAbstract constructor.

`public __construct(string $data) : mixed`

##### Parameters

$data : string

##### Tags

throws
  QRCodeDataException

##### Return values

mixed —

#### getDataMode()

QRDataModeAbstract.php : 51

returns the current data mode constant

`public getDataMode() : int`

##### Tags

inheritDoc

##### Return values

int —

#### getCharCount()

QRDataModeAbstract.php : 44

returns the character count of the $data string

`protected getCharCount() : int`

##### Return values

int —

## Search results